%define upstream_name Youri-Media
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13
Summary:    Abstract media class
License:    GPL or Artistic
Group:      Development/Other
Source0:    http://search.cpan.org/CPAN/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(LWP::Simple)
BuildRequires: perl(URPM)
BuildRequires: perl(Youri::Package)
BuildRequires: perl(Youri::Package::RPM::URPM)
BuildRequires: perl(version)
BuildRequires: perl-version
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files 
%doc ChangeLog META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-13.mga6
+ Revision: 1036187
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.1-12.mga6
+ Revision: 968736
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.2.1-11.mga6
+ Revision: 854505
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-10.mga5
+ Revision: 741076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-9.mga5
+ Revision: 686996
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-8.mga4
+ Revision: 516311
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-7.mga3
+ Revision: 375331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 pterjan <pterjan> 0.2.1-6.mga1
+ Revision: 61268
- fixspec
- Drop old stuff

  + jquelin <jquelin>
    - imported package perl-Youri-Media


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-6mdv2010.0
+ Revision: 430672
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-5mdv2009.0
+ Revision: 258922
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-4mdv2009.0
+ Revision: 246800
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 17198
- force dependency on perl-version
- Import perl-Youri-Media



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2008.0
- first mdv release 
